Loading...
Searching...
No Matches
XrdOssCache.hh File Reference
`#include <ctime>`
`#include <sys/stat.h>`
`#include "XrdOuc/XrdOucDLlist.hh"`
`#include "XrdOss/XrdOssVS.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdSys/XrdSysPthread.hh"`
Include dependency graph for XrdOssCache.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | XrdOssCache::allocInfo
class | XrdOssCache
class | XrdOssCache_FS
struct | XrdOssCache_FSAP
class | XrdOssCache_FSData
class | XrdOssCache_Group
class | XrdOssCache_Space

## Macros

#define | XrdOssFSData_ADJUSTED 0x0002
#define | XrdOssFSData_OFFLINE 0x0001
#define | XrdOssFSData_REFRESH 0x0004

## Class Documentation

## XrdOssCache_FSAP

struct XrdOssCache_FSAP

Definition at line 169 of file XrdOssCache.hh.

Collaboration diagram for XrdOssCache_FSAP:

Class Members
int | apNum |
const char ** | apVec |
XrdOssCache_FSData * | fsP |

## Macro Definition Documentation

## XrdOssFSData_ADJUSTED

#define XrdOssFSData_ADJUSTED 0x0002

Definition at line 103 of file XrdOssCache.hh.

Referenced by XrdOssCache::Adjust(), XrdOssCache::Adjust(), and XrdOssCache::Scan().

## XrdOssFSData_OFFLINE

#define XrdOssFSData_OFFLINE 0x0001

Definition at line 102 of file XrdOssCache.hh.

## XrdOssFSData_REFRESH

#define XrdOssFSData_REFRESH 0x0004

Definition at line 104 of file XrdOssCache.hh.

Referenced by XrdOssCache::Alloc(), and XrdOssCache::Scan().